# Welcome to SQL4Dialer Web(!tel) Standalone Server/Service

Based on a high-productivity [Revel](http://revel.github.io) web framework for the [Go language](http://www.golang.org/).
* The [Getting Started with Revel](http://revel.github.io/tutorial/gettingstarted.html).
* The [Revel guides](http://revel.github.io/manual/index.html).
* The [Revel sample apps](http://revel.github.io/examples/index.html).
* The [API documentation](https://godoc.org/github.com/revel/revel).

## Deploy the web server on windows/amd64:

Download and unpach archive: [**prod/sql4dialer.goweb.winamd64.zip**](https://git.webitel.com/projects/WTEL/repos/sql4dialer.web/browse/prod/sql4dialer.goweb.winamd64.zip)

## Environment Layout

The directory structure of **./sql4dialer.goweb/src/webitel.com/sql4dialer>**

    conf/             Configuration directory
        app.conf      Main configuration file
        ------------- Configuration directives
        http.addr =   localhost
        http.port =   9000
    
    bin/              Executable utility location
        WebitelDialerService.exe
        Newtonsoft.Json.dll
    
    run/              Runtime files directory
        *.import.cfg  Import members configuration file
        *.import.log  Import members operational log
        *.export.cfg  Export statistics configuration file
        *.export.log  Export statistics operational log

#### Start the Web Server
```cmd
.\sql4dialer.goweb> run.bat
```

#### [Re]Create a Windows Service: SQL4Dialer Web!tel
```cmd
.\sql4dialer.goweb> srv.bat
```

#### Go to http://localhost:9000/sql4dialer and you'll see:
```json
{ "result": [] }
```
